Subject: [XCON] 3GPP Requirements on CPCP

From: georg.mayer at nokia.com ([email-masked])
Date: Thu Jul 10 06:59:02 2003

Hello,

initially I planned to have a short presentation at the Vienna meeting on 3GPP requirements on CPCP, but unfortunately it seems that there is no time slot neither in SIPPING nor XCON which allows going into technical discussions during this meeting. So I decided to make my comments on the mailing list.

As you know in 3GPP we are planning to adopt the SIP conferencing solution for the IMS (IP Multimedia Subsystem). During the last (CN1 WG) meeting we had some discussions on CPCP and decided that we will also adopt this solution, although some delegates had some concerns. I therefore got the task to collect requirements on CPCP, what I did.

As always, the resources in wireless devices are a sacred thing and therefore the main concern was, that CPCP will introduce a whole new protocol and notation, that needs to be implemented "just" for CPCP. Therefore the main issues are:

1) that CPCP makes use of an notation mechanism that is already used within the IMS / SIP protocol. We think that XML is the way forward here. 

2) that CPCP makes use of a protocol that is already used in state-of-the-art wireless devices. As SIP is not an option here, we very much favour HTTP, as this is implemented in every new mobile phone model.

As the 3GPP architecture sees the protocols for any sort of application specific data manipulation over the same (Ut) interface, we also favour the approach to harmonize the data manipulation solutions as much as possible. I am aware that CPCP is more than just data manipulation, nevertheless there are very similar concepts in e.g. Presence DM and CPCP. As the IMS will also include (SIMPLE based) Presence and Presence Data Manipulation, we also see the need

3) that CPCP and Presence Data Manipulation solution must be aligned, in order to re-use as much functionality as possible.

This is also important, as we see lots of services in the future, which will also require Data Manipulation via the Ut interface - we want these solutions harmonized if possible. The XCAP proposal as currently discussed in SIMPLE seems to be the right way forward here. 

Finally there is a need that the UE gets aware of the CPCP server. This might be outside of the scope of XCON, maybe more related to SIPPING, but as it is related to this issue, I would like to see it also listed:

4) There must be a way for the UE to get aware of the address of a CPCP server (or any other server which allows the UE to perform data manipulation).

If the group agrees, I would reformulate these requirements into "requirements language", so that they can be added to CPCP requirements draft (draft-koskelainen-xcon-cpcp-reqs-00.txt). 

Thank you and best regards
Georg